## mtpaint 3.11

=== doc/Makefile ===
include ../_conf.txt

MAN_PAGE=mtpaint.1

all:
	cp _$(MAN_PAGE) $(MAN_PAGE)
	gzip -f $(MAN_PAGE)

pod:
	pod2man "--release=$(MT_VERSION)" "--date=$(MT_DATE)" "--center=Mark Tyler's Painting Program" mtpaint.pod > _mtpaint.1

install:
	mkdir -p $(MT_MAN_DEST)
	cp $(MAN_PAGE).gz $(MT_MAN_DEST)

uninstall:
	rm $(MT_MAN_DEST)/$(MAN_PAGE).gz

clean:
	rm *.gz

=== po/Makefile ===
include ../_conf.txt

langs = es cs fr pt pt_BR de_DE pl tr zh_TW sk

all:
	for iii in $(langs); do echo -n "$$iii = "; msgfmt -v -o $$iii.mo $$iii.po; done

install:
	for iii in $(langs); do mkdir -p $(MT_LANG_DEST)/$$iii/LC_MESSAGES/; done
	for iii in $(langs); do cp $$iii.mo $(MT_LANG_DEST)/$$iii/LC_MESSAGES/mtpaint.mo; done

uninstall:
	for iii in $(langs); do rm $(MT_LANG_DEST)/$$iii/LC_MESSAGES/mtpaint.mo; done

clean:
	rm *.mo

=== src/Makefile ===
include ../_conf.txt

CFLAGS = $(CFLAG)
LDFLAGS = $(LDFLAG) $(GLIB_LIB)

BIN = mtpaint

OBJS = main.o mainwindow.o inifile.o png.o memory.o canvas.o otherwindow.o mygtk.o\
	viewer.o quantizer.o polygon.o layer.o info.o wu.o prefs.o ani.o mtlib.o\
	toolbar.o channels.o csel.o shifter.o

$(BIN): $(OBJS)
	$(CC) $(OBJS) -o $(BIN) $(LDFLAGS)

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $*.c

clean:
	rm -f *.o $(BIN)*

install:
	mkdir -p $(BIN_INSTALL)
	cp $(BIN) $(BIN_INSTALL)

uninstall:
	rm $(BIN_INSTALL)/$(BIN)

## mtpaint 3.31

=== doc/Makefile ===
include ../_conf.txt

MAN_PAGE=mtpaint.1

all:
	cp _$(MAN_PAGE) $(MAN_PAGE)
	gzip -f $(MAN_PAGE)

pod:
	pod2man "--release=$(MT_VERSION)" "--date=$(MT_DATE)" "--center=Mark Tyler's Painting Program" mtpaint.pod > _mtpaint.1

install:
	mkdir -p $(DESTDIR)$(MT_MAN_DEST) $(DESTDIR)$(MT_PREFIX)/share/applications $(DESTDIR)$(MT_PREFIX)/share/pixmaps
	cp $(MAN_PAGE).gz $(DESTDIR)$(MT_MAN_DEST)
	cp mtpaint.desktop $(DESTDIR)$(MT_PREFIX)/share/applications
	cp mtpaint.png $(DESTDIR)$(MT_PREFIX)/share/pixmaps

uninstall:
	rm $(DESTDIR)$(MT_MAN_DEST)/$(MAN_PAGE).gz
	rm $(DESTDIR)$(MT_PREFIX)/share/applications/mtpaint.desktop
	rm $(DESTDIR)$(MT_PREFIX)/share/pixmaps/mtpaint.png

clean:
	rm *.gz

=== po/Makefile ===
include ../_conf.txt

langs = es cs fr pt pt_BR de pl tr zh_TW sk zh_CN ja ru gl nl it sv

all:
	for iii in $(langs); do echo -n "$$iii = "; msgfmt -v -o $$iii.mo $$iii.po; done

install:
	for iii in $(langs); do mkdir -p $(DESTDIR)$(MT_LANG_DEST)/$$iii/LC_MESSAGES/; done
	for iii in $(langs); do cp $$iii.mo $(DESTDIR)$(MT_LANG_DEST)/$$iii/LC_MESSAGES/mtpaint.mo; done

uninstall:
	for iii in $(langs); do rm $(DESTDIR)$(MT_LANG_DEST)/$$iii/LC_MESSAGES/mtpaint.mo; done

clean:
	rm *.mo

=== src/Makefile ===
include ../_conf.txt

CFLAGS = $(CFLAG)
LDFLAGS = $(LDFLAG) $(GLIB_LIB)

BIN = mtpaint

OBJS = mainwindow.o inifile.o png.o memory.o canvas.o otherwindow.o mygtk.o\
	viewer.o polygon.o layer.o info.o wu.o prefs.o ani.o mtlib.o\
	toolbar.o channels.o csel.o shifter.o spawn.o font.o fpick.o icons.o cpick.o

$(BIN): main.o $(OBJS)
	$(CC) main.o $(OBJS) -o $(BIN) $(LDFLAGS)

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $*.c

clean:
	rm -f *.o $(BIN)* $(LIBNAME) $(LIBNAME2) $(SLIBNAME)

install:
	mkdir -p $(DESTDIR)$(BIN_INSTALL)
	cp $(BIN) $(DESTDIR)$(BIN_INSTALL)

uninstall:
	rm $(DESTDIR)$(BIN_INSTALL)/$(BIN)

=== debian/changelog ===
mtpaint (3.31-5) unstable; urgency=low

  * debian/control
    + Build-Depends on libjpeg-dev instead of libjpeg62-dev. (Closes: #634279)

 -- Muammar El Khatib <muammar@debian.org>  Wed, 24 Aug 2011 14:01:14 +0200

mtpaint (3.31-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
    + Updated build dependency to debhelper >= 7.0.50~. 
    + Remove build dependency on dpatch.
    + One Dependency for line.
  * Link -lX11 has been added, so all the libraries are now provided to the
    linker when building mtPaint. (Closes: #555756) 
    For more information, see patch: 07_fix_binutils_gold.patch 
  * Windows icon was added. Thanks to Julien Lavergne. (Closes: #620890)

 -- Muammar El Khatib <muammar@debian.org>  Fri, 08 Apr 2011 14:27:46 +0200

mtpaint (3.31-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1. No changes were needed.
  * Maintainer's mail has been changed.
  * debian/source directory has been created for specifying 1.0 version in the
    file debian/source/format.
  * Update copyright file:
    + Reformat to conform to candidate DEP5. (http://dep.debian.net/deps/dep5/)
    + Adjust years for debian/*.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 12 Feb 2011 18:56:20 +0100

mtpaint (3.31-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed. 

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon, 22 Feb 2010 13:44:28 -0430

mtpaint (3.31-1) unstable; urgency=low

  * New upstream version.
  * debian/rules has been fixed. Now, mtPaint supports localization. 
    The problem was caused by miscompilation - the "--prefix=$(CURDIR)/debian/
    mtpaint/usr" option passed to ./configure had, among other things, changed
    the locale directory path which gets compiled in. Thanks to Dmitry Groshev
    (current Upstream Author of mtPaint).
  * Bump Standards-Version to 3.8.1
  * mtPaint is now handling no strip build option. (Closes: #437590)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 21 May 2009 12:18:35 -0430

mtpaint (3.30-1) unstable; urgency=low

  * New upstream version.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 15 Feb 2009 20:03:26 -0430

mtpaint (3.21-1) unstable; urgency=low

  * New upstream version. (Closes: #459981)
  * Bump Standards-Version to 3.8.0
  * Webpage was moved from mtpaint's description to control tag.
  * The version of debhelper was changed to >= 6 instead of >=5. 
  * mtpaint.desktop file has been fixed in this revision. The Encoding key
    is deprecated, so it was removed.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 21 Jun 2008 23:36:24 -0430

mtpaint (3.11-1) unstable; urgency=low

  * Initial release (Closes: #418122, #411151)  

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun,  8 Apr 2007 18:40:41 -0400

=== debian/control ===
Source: mtpaint
Section: graphics
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libpng12-dev, zlib1g-dev, libgif4, libjpeg-dev, libtiff4-dev, gettext, pkg-config, libgtk2.0-dev, libgif-dev, quilt
Standards-Version: 3.9.2
Homepage: http://mtpaint.sourceforge.net/

Package: mtpaint
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: painting program to create pixel art and manipulate digital photos
 mtPaint is a free, open source graphic editing program which uses the GTK+ 
 toolkit. 
 It is geared towards creating indexed palette images and pixel art.
 .
 Due to its efficient design it can run on older PC hardware (e.g. a 200MHz CPU
 and 32MB of RAM). It can edit indexed palette or 24 bit RGB images and offers 
 basic painting and palette manipulation tools.
 .
 It is aimed to be simple and easy to use. it also can handle JPEG, GIF, TIFF, 
 BMP, XPM, and XBM files.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with quilt $@

override_dh_auto_configure:
	./configure gtk2 cflags GIF jpeg tiff intl man --prefix=/usr \
	--bindir=/usr/bin --mandir=/usr/share/man/man1

override_dh_auto_clean:
	touch doc/mtpaint.1.gz
	touch po/cs.mo
	touch _conf.txt
	rm -f src/a.out
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mtpaint/

## mtpaint 3.40

=== doc/Makefile ===
include ../_conf.txt

MAN_PAGE=mtpaint.1

all: $(MAN_PAGE)

$(MAN_PAGE): mtpaint.pod
	pod2man "--release=$(MT_VERSION)" "--date=$(MT_DATE)" "--center=Mark Tyler's Painting Program" mtpaint.pod > $(MAN_PAGE)

install:
	mkdir -p $(DESTDIR)$(MT_MAN_DEST)/man1 $(DESTDIR)$(MT_DATAROOT)/applications $(DESTDIR)$(MT_DATAROOT)/pixmaps
	cp $(MAN_PAGE) $(DESTDIR)$(MT_MAN_DEST)/man1
	cp mtpaint.desktop $(DESTDIR)$(MT_DATAROOT)/applications
	cp mtpaint.png $(DESTDIR)$(MT_DATAROOT)/pixmaps

uninstall:
	rm $(DESTDIR)$(MT_MAN_DEST)/man1/$(MAN_PAGE)
	rm $(DESTDIR)$(MT_DATAROOT)/applications/mtpaint.desktop
	rm $(DESTDIR)$(MT_DATAROOT)/pixmaps/mtpaint.png

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../_conf.txt
 
-langs = es cs fr pt pt_BR de pl tr zh_TW sk zh_CN ja ru gl nl it sv
+langs = es cs fr pt pt_BR de pl tr zh_TW sk zh_CN ja ru gl nl it sv tl hu
 
 all:
 	for iii in $(langs); do echo -n "$$iii = "; msgfmt -v -o $$iii.mo $$iii.po; done

=== src/Makefile ===
--- 
+++ 
@@ -1,13 +1,18 @@
 include ../_conf.txt
 
-CFLAGS = $(CFLAG)
-LDFLAGS = $(LDFLAG) $(GLIB_LIB)
+ifdef HAVE_RANDSEED # Generate identical object files if possible
+  CFLAGS = $(CFLAG) -frandom-seed=$*
+else
+  CFLAGS = $(CFLAG)
+endif
+LDFLAGS = $(LDFLAG)
 
-BIN = mtpaint
+BIN = mtpaint$(EXEEXT)
 
 OBJS = mainwindow.o inifile.o png.o memory.o canvas.o otherwindow.o mygtk.o\
 	viewer.o polygon.o layer.o info.o wu.o prefs.o ani.o mtlib.o\
-	toolbar.o channels.o csel.o shifter.o spawn.o font.o fpick.o icons.o cpick.o
+	toolbar.o channels.o csel.o shifter.o spawn.o font.o fpick.o icons.o\
+	cpick.o thread.o
 
 $(BIN): main.o $(OBJS)
 	$(CC) main.o $(OBJS) -o $(BIN) $(LDFLAGS)

=== debian/changelog ===
mtpaint (3.40-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.7. No changes were needed.
  * The package is now rebuilt with latest libpng-dev version available.
  * MIME-type information was added in mtpaint.desktop (Closes: #774502).
  * debian/compat: bump to compat level 9.
  * debian/control:
    + Depends on gtklp (Closes: #780514).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 07 Apr 2016 11:18:42 +0200

mtpaint (3.40-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unnecessary build-dependency on libgif4. (Closes: #803286)
  * Refresh giflib5.diff because it did not apply cleanly.
  * Remove quilt from Build-Depends because source format 3.0 uses quilt by
    default.
  * Fix Lintian warning dep5-copyright-license-name-not-unique. In fact all
    files are licensed under GPL-3+ now.

 -- Markus Koschany <apo@debian.org>  Mon, 07 Mar 2016 13:46:16 +0100

mtpaint (3.40-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803286.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 05:09:55 +0000

mtpaint (3.40-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5. No changes were needed.
  * debian/control:
    + Build-Depends on libtiff-dev instead of libtiff4-dev. (Closes: #736032)
  * man page now is installed in right path: /usr/share/man/man1/mtpaint.1.gz.
    (Closes: #658960) Thanks to Sergio Cipolla for reporting this bug.
  * mtpaint.desktop has been updated to containt the Keywords field in order
    to comply with the debian policy.
  * debian/patches: Ununsed patches have been deleted.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 20 Jul 2014 10:47:18 +0300

mtpaint (3.40-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-Depends on libpng-dev instead of libpng12-dev. (Closes: #649821)

 -- Muammar El Khatib <muammar@debian.org>  Sun, 01 Jan 2012 18:37:03 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
%:
	dh $@

override_dh_auto_configure:
	./configure gtk2 cflags GIF jpeg tiff intl man --prefix=/usr \
	--bindir=/usr/bin --mandir=/usr/share/man

override_dh_auto_clean:
	touch doc/mtpaint.1.gz
	touch po/cs.mo
	touch _conf.txt
	rm -f src/a.out
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess _conf.txt
	rm -rf $(CURDIR)/src/graphics/

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mtpaint/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
 http://sf.net/mtpaint/mtpaint-(.*)\.tar\.bz2

## mtpaint 3.40-3+9.0trisquel0

=== doc/Makefile ===
--- 
+++ 
@@ -17,3 +17,6 @@
 	rm $(DESTDIR)$(MT_MAN_DEST)/man1/$(MAN_PAGE)
 	rm $(DESTDIR)$(MT_DATAROOT)/applications/mtpaint.desktop
 	rm $(DESTDIR)$(MT_DATAROOT)/pixmaps/mtpaint.png
+
+clean:
+

=== debian/changelog ===
mtpaint (3.40-3+9.0trisquel0) etiona; urgency=medium

  * Remove nvidia-settings dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 11 Jan 2022 02:04:10 +0000

## mtpaint 3.40-3+10.0trisquel0

=== debian/changelog ===
mtpaint (3.40-3+10.0trisquel0) nabia; urgency=medium

  * Remove nvidia-settings dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 11 Jan 2022 01:53:46 +0000

## mtpaint 3.40-3.1build1+11.0trisquel0

=== po/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	for iii in $(langs); do rm $(DESTDIR)$(MT_LANG_DEST)/$$iii/LC_MESSAGES/mtpaint.mo; done
 
 clean:
-	rm *.mo
+

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 else
   CFLAGS = $(CFLAG)
 endif
-LDFLAGS = $(LDFLAG)
+LDFLAGS = $(LDFLAG) $(GLIB_LIB)
 
 BIN = mtpaint$(EXEEXT)
 
@@ -15,10 +15,10 @@
 	cpick.o thread.o
 
 $(BIN): main.o $(OBJS)
-	$(CC) main.o $(OBJS) -o $(BIN) $(LDFLAGS)
+	$(CC) main.o $(OBJS) -o $(BIN) $(LDFLAGS) $(LDFLAG) $(GLIB_LIB)
 
 .c.o:
-	$(CC) $(CFLAGS) -c -o $*.o $*.c
+	$(CC) $(CFLAGS) $(CFLAG) -c -o $*.o $*.c
 
 clean:
 	rm -f *.o $(BIN)* $(LIBNAME) $(LIBNAME2) $(SLIBNAME)

=== debian/changelog ===
mtpaint (3.40-3.1build1+11.0trisquel0) aramo; urgency=medium

  * Remove nvidia-settings dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 12:59:32 +0000

mtpaint (3.40-3.1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:05:04 -0500

mtpaint (3.40-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957571)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 03 Nov 2020 23:04:37 +0000

## mtpaint 3.49.19

=== src/Makefile ===
include ../_conf.txt

# Generate identical object files if possible
CFLAGS = $(CFLAG) $(SET_RANDSEED)
LDFLAGS = $(LDFLAG)

BIN = mtpaint$(EXEEXT)

OBJS = mainwindow.o inifile.o png.o memory.o canvas.o otherwindow.o mygtk.o\
	viewer.o polygon.o layer.o info.o wu.o prefs.o ani.o mtlib.o\
	toolbar.o channels.o csel.o shifter.o spawn.o font.o fpick.o icons.o\
	cpick.o thread.o vcode.o

$(BIN): main.o $(OBJS)
	$(CC) main.o $(OBJS) -o $(BIN) $(LDFLAGS)

$(OBJS): *.h graphics/*

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $*.c

clean:
	rm -f *.o $(BIN)* $(LIBNAME) $(LIBNAME2) $(SLIBNAME)

install:
	mkdir -p $(DESTDIR)$(BIN_INSTALL)
	cp $(BIN) $(DESTDIR)$(BIN_INSTALL)

uninstall:
	rm $(DESTDIR)$(BIN_INSTALL)/$(BIN)

=== debian/changelog ===
mtpaint (3.49.19-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 19 Sep 2019 14:19:44 -0700

mtpaint (3.49.18-1~webupd8~bionic0) bionic; urgency=medium

  * New upstream release

 -- Alin Andrei <andrew@webupd8.org>  Tue, 21 Nov 2017 12:53:14 +0200

mtpaint (3.49.17-1~webupd8~disco0) disco; urgency=medium

  * New upstream release

 -- Alin Andrei <andrew@webupd8.org>  Tue, 21 Nov 2017 12:53:14 +0200

mtpaint (3.49.15-1~webupd8~disco1) disco; urgency=medium

  * New upstream release
  * Depend on libopenjp2-7-dev on Bionic and newer, instead
    open libopenjpeg-dev

 -- Alin Andrei <andrew@webupd8.org>  Tue, 21 Nov 2017 12:53:14 +0200

mtpaint (3.49.13-1~webupd8~zesty) zesty; urgency=medium

  * New upstream release

 -- Alin Andrei <andrew@webupd8.org>  Tue, 21 Nov 2017 12:53:14 +0200

mtpaint (3.49.12-1~webupd8~zesty3) zesty; urgency=medium

  * Upload for Zesty

 -- Alin Andrei <andrew@webupd8.org>  Wed, 22 Mar 2017 16:42:21 +0200

mtpaint (3.49.12-1~webupd8~yakkety3) yakkety; urgency=medium

  * New development release
  * Bump standards-version to 3.9.8
  * Refresh 01_change_configure.patch, 03_po_Makefile.patch and
    spawn.diff
  * Disable (applied upstream / no longer needed): 
    02_src_Makefile.patch and giflib5.diff
  * Recommend librsvg2-2, gifsicle and mtpaint-handbook
  * Build-depend on libopenjpeg-dev and add jp2 to rules/configure

 -- Alin Andrei <andrew@webupd8.org>  Tue, 07 Mar 2017 13:43:29 +0100

## mtpaint 3.50

=== debian/changelog ===
mtpaint (3.50-0.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:23 +1100

mtpaint (3.50-0.1build2) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:12:26 +0000

mtpaint (3.50-0.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:24:18 +0000

mtpaint (3.50-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. (Closes: #979147)
  * Build with gtk3. (Closes: #967646)
  * Only uscan for stable versions.

 -- Bastian Germann <bage@debian.org>  Sun, 23 Jul 2023 11:16:52 +0000

=== debian/control ===
Source: mtpaint
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>= 9),
               libpng-dev,
               zlib1g-dev,
               libjpeg-dev,
               libtiff-dev,
               gettext,
               pkg-config,
               libgtk-3-dev,
               libgif-dev,
Standards-Version: 3.9.7
Homepage: http://mtpaint.sourceforge.net/

Package: mtpaint
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gtklp
Description: painting program to create pixel art and manipulate digital photos
 mtPaint is a free, open source graphic editing program which uses the GTK+
 toolkit.
 It is geared towards creating indexed palette images and pixel art.
 .
 Due to its efficient design it can run on older PC hardware (e.g. a 200MHz CPU
 and 32MB of RAM). It can edit indexed palette or 24 bit RGB images and offers
 basic painting and palette manipulation tools.
 .
 It is aimed to be simple and easy to use. it also can handle JPEG, GIF, TIFF,
 BMP, XPM, and XBM files.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+export DEB_CFLAGS_MAINT_APPEND = -fcommon
 %:
 	dh $@
 
 override_dh_auto_configure:
-	./configure gtk2 cflags GIF jpeg tiff intl man --prefix=/usr \
+	./configure gtk3 cflags GIF jpeg tiff intl man --prefix=/usr \
 	--bindir=/usr/bin --mandir=/usr/share/man
 
 override_dh_auto_clean:

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
 http://sf.net/mtpaint/mtpaint-([\d\.]+)\.tar\.bz2

## mtpaint 3.50-0.1build3trisquel0

=== doc/Makefile ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 $(MAN_PAGE): mtpaint.pod
 	pod2man "--release=$(MT_VERSION)" "--date=$(MT_DATE)" "--center=Mark Tyler's Painting Program" mtpaint.pod > $(MAN_PAGE)
+
+html: vcode.html
+
+%.html: %.t2t
+	txt2tags -t html $*.t2t
 
 install:
 	mkdir -p $(DESTDIR)$(MT_MAN_DEST)/man1 $(DESTDIR)$(MT_DATAROOT)/applications $(DESTDIR)$(MT_DATAROOT)/pixmaps

=== src/Makefile ===
--- 
+++ 
@@ -2,17 +2,17 @@
 
 # Generate identical object files if possible
 CFLAGS = $(CFLAG) $(SET_RANDSEED)
-LDFLAGS = $(LDFLAG)
+LDFLAGS = $(LDFLAG) $(GLIB_LIB)
 
 BIN = mtpaint$(EXEEXT)
 
-OBJS = mainwindow.o inifile.o png.o memory.o canvas.o otherwindow.o mygtk.o\
+OBJS = main.o mainwindow.o inifile.o png.o memory.o canvas.o otherwindow.o mygtk.o\
 	viewer.o polygon.o layer.o info.o wu.o prefs.o ani.o mtlib.o\
 	toolbar.o channels.o csel.o shifter.o spawn.o font.o fpick.o icons.o\
 	cpick.o thread.o vcode.o
 
-$(BIN): main.o $(OBJS)
-	$(CC) main.o $(OBJS) -o $(BIN) $(LDFLAGS)
+$(BIN): $(OBJS)
+	$(CC) $(OBJS) -o $(BIN) $(LDFLAGS)
 
 $(OBJS): *.h graphics/*

=== debian/changelog ===
mtpaint (3.50-0.1build3trisquel0) ecne; urgency=medium

  * Apply path for handle open with, fix LP:#1714264

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 18:26:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mtpaint
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
 Build-Depends: debhelper (>= 9),
                libpng-dev,

## mtpaint 3.50.11

=== debian/changelog ===
mtpaint (3.50.11-1) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * debian/mtpaint.desktop: fix Exec=mtpaint %U -> %F (Closes: #880489)
    (LP: #1714264, #1799060)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * d/rules: fix clean
  * Don't ld -s
  * d/copyright: update Format: link
  * Fix cross builds (Closes: #903313)
  * d/watch: update for GitHub releases
  * New upstream version 3.50.11 (Closes: #1075296)

  [ Andreas Tille ]
  * Maintain package in Debian Phototools team
    Closes: #1086915
  * d/watch: Hint to github issue requesting tags for new upstream versions
  * debian/README.source: removed since redundant
  * debian/dirs: removed since not needed
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 3.31-1.
  * debian/source/include-binaries: removed since no binaries included any more

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 28 Nov 2024 10:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: mtpaint
 Section: graphics
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Muammar El Khatib <muammar@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libpng-dev,
                zlib1g-dev,
                libjpeg-dev,
                libtiff-dev,
                gettext,
-               pkg-config,
+               pkgconf,
                libgtk-3-dev,
-               libgif-dev,
-Standards-Version: 3.9.7
-Homepage: http://mtpaint.sourceforge.net/
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/mtpaint
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/mtpaint.git
+Homepage: https://mtpaint.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: mtpaint
 Architecture: any

## mtpaint 3.50.12

=== Makefile ===
include _conf.txt

all: $(subdirs)

.PHONY: $(subdirs)

$(subdirs):
	$(MAKE) -C $@

install:
	for dir in $(subdirs); do $(MAKE) -C $$dir install; done

uninstall:
	for dir in $(subdirs); do $(MAKE) -C $$dir uninstall; done

clean:
	for dir in $(subdirs); do $(MAKE) -C $$dir clean; done

=== doc/Makefile ===
--- 
+++ 
@@ -22,6 +22,3 @@
 	rm $(DESTDIR)$(MT_MAN_DEST)/man1/$(MAN_PAGE)
 	rm $(DESTDIR)$(MT_DATAROOT)/applications/mtpaint.desktop
 	rm $(DESTDIR)$(MT_DATAROOT)/pixmaps/mtpaint.png
-
-clean:
-

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../_conf.txt
 
-langs = es cs fr pt pt_BR de pl tr zh_TW sk zh_CN ja ru gl nl it sv tl hu
+langs = es cs fr pt pt_BR de pl tr zh_TW sk zh_CN ja ru gl nl it sv tl hu kab
 
 all:
 	for iii in $(langs); do echo -n "$$iii = "; msgfmt -v -o $$iii.mo $$iii.po; done
@@ -13,4 +13,4 @@
 	for iii in $(langs); do rm $(DESTDIR)$(MT_LANG_DEST)/$$iii/LC_MESSAGES/mtpaint.mo; done
 
 clean:
-
+	rm *.mo

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Generate identical object files if possible
 CFLAGS = $(CFLAG) $(SET_RANDSEED)
-LDFLAGS = $(LDFLAG) $(GLIB_LIB)
+LDFLAGS = $(LDFLAG)
 
 BIN = mtpaint$(EXEEXT)

=== debian/changelog ===
mtpaint (3.50.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097422)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:40:13 +0300

mtpaint (3.50.12-1) unstable; urgency=medium

  * d/control: remove Uploaders: Muammar El Khatib <muammar@debian.org>,
    he has retired, Closes: #1107177
  * add xiao sheng wen <atzlinux@debian.org> as Uploaders
  * Bump Standards-Version: 4.7.2
  * add d/gbp.conf
  * New upstream version 3.50.12
  * d/p/01_change_configure.patch: refresh to 3.50.12
  * d/copyright:
      - update upstream year info to 2025
      - delete old-fsf-address-in-copyright-file

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 26 Aug 2025 14:59:59 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Muammar El Khatib <muammar@debian.org>
+Uploaders: xiao sheng wen <atzlinux@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libpng-dev,
                zlib1g-dev,
@@ -11,7 +11,7 @@
                gettext,
                pkgconf,
                libgtk-3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/mtpaint
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/mtpaint.git
 Homepage: https://mtpaint.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_CFLAGS_MAINT_APPEND = -fcommon
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk
%:
	dh $@

override_dh_auto_configure:
	./configure gtk3 cflags jpeg tiff intl man --prefix=/usr \
	--bindir=/usr/bin --mandir=/usr/share/man

override_dh_auto_build:
	>> _conf.txt
	dh_auto_build

override_dh_auto_clean:
	>> doc/mtpaint.1.gz
	>> po/cs.mo
	>> _conf.txt
	rm -f src/a.out
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess _conf.txt po/*.mo doc/mtpaint.1.gz
	rm -rf $(CURDIR)/src/graphics/

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mtpaint/

=== debian/watch ===
# Every commit to master has subject "Version 1.2.3" and is proclaimed as the new release
# https://github.com/wjaguar/mtPaint/issues/79
version=4
opts=\
searchmode=plain,\
pgpmode=none,\
filenamemangle=s%.*Version[[:space:]]*(.*)%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%.*"sha":"([0-9a-f]*)["].*%https://github.com/wjaguar/mtPaint/archive/$1.tar.gz% \
	https://api.github.com/repos/wjaguar/mtPaint/commits \
	"sha":"[0-9a-f]*".+?Version[[:space:]]*@ANY_VERSION@

## mtpaint 3.50.13

=== debian/changelog ===
mtpaint (3.50.13-1) unstable; urgency=medium

  * New upstream version 3.50.13
  * d/p/01_change_configure.patch: refresh to 3.50.13

 -- xiao sheng wen <atzlinux@debian.org>  Thu, 11 Dec 2025 09:19:49 +0800

mtpaint (3.50.12-2) unstable; urgency=medium

  * Team upload
  * Use yad instead of gtklp for printing

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 07:29:07 -0500

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,12 @@
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/mtpaint
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/mtpaint.git
 Homepage: https://mtpaint.sourceforge.net/
-Rules-Requires-Root: no
 
 Package: mtpaint
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gtklp
+         yad
 Description: painting program to create pixel art and manipulate digital photos
  mtPaint is a free, open source graphic editing program which uses the GTK+
  toolkit.
